#### Operator index > By section > Generate [src]

These functions let you attach generate functions to images and ask for regions of images to be calculated.

## Callbacks

- `VipsGenerateFn`
- `VipsRegionWrite`
- `VipsSinkNotify`
- `VipsStartFn`
- `VipsStopFn`

## Functions

- `vips_sink_disc()`
- `vips_sink()`
- `vips_sink_tile()`
- `vips_sink_screen()`
- `vips_sink_memory()`
- `vips_start_one()`
- `vips_stop_one()`
- `vips_start_many()`
- `vips_stop_many()`
- `vips_allocate_input_array()`
- `vips_image_generate()`
- `vips_image_pipeline_array()`
- `vips_image_pipelinev()`